using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Pelaajan_hp : MonoBehaviour
{
    [SerializeField]
    int m_pelaajan_hp = 100;

    Enemy_AI m_enemy;

    // Start is called before the first frame update
    void Start() {
        m_enemy = GameObject.Find("enemy").GetComponent<Enemy_AI>();
    }

    // Update is called once per frame
    void Update() {
    }

    void OnCollisionEnter(Collision collision) {
        if (collision.collider.tag == "enemy_scythe") {
            pelaaja_ottaa_osumaa(m_enemy.aiheuta_vahinkoa_pelaajalle());
        }
    }

    public void pelaaja_ottaa_osumaa(int damagemäärä) {
        m_pelaajan_hp -= damagemäärä;
    }

    public bool isReaped() {
        if (m_pelaajan_hp <= 0) {
            return true;
        }
        else {
            return false;
        }
    }
}
